import { IFormFieldOptions, IFormOptions } from '@csnext/cs-core';
import Vue from 'vue';
import { DocDatasource } from '../../datasources/doc-datasource';
import { LinkInfo, GraphElement } from '@csnext/cs-data';
export default class ElementPropEditor extends Vue {
    links: LinkInfo[] | null;
    linkIds: string[];
    items: GraphElement[];
    private search;
    private itemsLoaded;
    private startDrop;
    private loadAllItems;
    updateElement(): void;
    getItems(): GraphElement[];
    get node(): GraphElement | undefined;
    get graph(): DocDatasource | undefined;
    private dataChanged;
    editLink(l: LinkInfo): Promise<void>;
    formDef: IFormOptions | null;
    field?: IFormFieldOptions;
    target?: object;
    activeElement?: GraphElement | null;
    getActiveElement(): void;
    mounted(): void;
}
